Page 1 of 1

[Update] Updater Reports "Could not create SSL/TLS secure channel"

Posted: 23 Feb 2022, 14:46
by c0nnex
First, check if your provider maybe blocks the connection:
Open https://update.spadnext.net/checkpage.html in your browser and check if you get any error messages. The Page you get should simply say "Works"

Second, due to the recent retirement of TLS1.0 old SPAD-Updater cannot connect to the downloadservers anymore.
Download the attached SPADUpdater.zip, and extract the "SPADUpdater.exe" to the Install-Directory of SPAD.neXt, overwriting the existing one.
(Usually this should be C:\Program Files\SPAD.neXt)
SPADUpdater.zip
(192.96 KiB) Downloaded 568 times
DO NOT START THE SPADUPDATER.EXE (this will revert you to current release no matter what).
Just restart SPAD.neXt and it will perform the update.